## linux-4.9 4.9.303

=== debian/changelog ===
linux-4.9 (4.9.303-1~deb8u3) jessie-security; urgency=medium

  * Regenerate d/control.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 15 Mar 2022 09:34:15 +0100

linux-4.9 (4.9.303-1~deb8u2) jessie-security; urgency=medium

  * [armel/marvell] Increase maximum image size (fixes FTBFS):
    - This removes support for QNAP TS-109, TS-119, TS-209, TS-219, TS-409,
      and HP Media Vault mv2120

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 15 Mar 2022 08:57:17 +0100

linux-4.9 (4.9.303-1~deb8u1) jessie-security; urgency=medium

  * Backport to jessie.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 10 Mar 2022 08:45:09 +0100

linux (4.9.303-1) stretch-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.291
    - xhci: Fix USB 3.1 enumeration issues by increasing roothub power-on-good
      delay
    - Input: elantench - fix misreporting trackpoint coordinates
    - [x86] Input: i8042 - Add quirk for Fujitsu Lifebook T725
    - ocfs2: fix data corruption on truncate
    - [arm64,armhf] mmc: dw_mmc: Dont wait for DRTO on Write RSP error
    - [x86] media: ite-cir: IR receiver stop working after receive overflow
    - ALSA: ua101: fix division by zero at probe
    - ALSA: 6fire: fix control and bulk message timeouts
    - ALSA: line6: fix control and interrupt message timeouts
    - [x86] ALSA: synth: missing check for possible NULL after the call to
      kstrdup
    - ALSA: timer: Fix use-after-free problem
    - ALSA: timer: Unconditionally unlink slave instances, too
    - [x86] irq: Ensure PI wakeup handler is unregistered before module unload
    - sfc: Don't use netif_info before net_device setup
    - bpf: Prevent increasing bpf_jit_limit above max
    - xen/netfront: stop tx queues during live migration
    - [armhf] spi: spl022: fix Microwire full duplex mode
    - [armhf] watchdog: Fix OMAP watchdog early handling
    - [x86] vmxnet3: do not stop tx queues after netif_device_detach()
    - btrfs: fix lost error handling when replaying directory deletes
    - [armhf] regulator: s5m8767: do not use reset value as DVS voltage if GPIO
      DVS is disabled
    - [amd64] EDAC/sb_edac: Fix top-of-high-memory value for Broadwell/Haswell
    - mwifiex: fix division by zero in fw download path
    - ath6kl: fix division by zero in send path
    - ath6kl: fix control-message timeout
    - PCI: Mark Atheros QCA6174 to avoid bus reset
    - rtl8187: fix control-message timeouts
    - [arm64] wcn36xx: Fix HT40 capability for 2Ghz band
    - mwifiex: Read a PCI register after writing the TX ring write pointer
    - [arm64] wcn36xx: handle connection loss indication
    - RDMA/qedr: Fix NULL deref for query_qp on the GSI QP
    - signal: Remove the bogus sigkill_pending in ptrace_stop
    - ALSA: mixer: oss: Fix racy access to slots
    - ALSA: mixer: fix deadlock in snd_mixer_oss_set_volume
    - [arm64] PCI: aardvark: Read all 16-bits from PCIE_MSI_PAYLOAD_REG
    - quota: check block number when reading the block in quota file
    - quota: correct error number in free_dqentry()
    - USB: serial: keyspan: fix memleak on probe errors
    - USB: iowarrior: fix control-message timeouts
    - Bluetooth: sco: Fix lock_sock() blockage by memcpy_from_msg()
      (CVE-2021-3640)
    - Bluetooth: fix use-after-free error in lock_sock_nested() (CVE-2021-3752)
    - [x86] platform/x86: wmi: do not fail if disabling fails
    - [amd64] Increase exception stack sizes
    - media: netup_unidvb: handle interrupt properly according to the firmware
    - media: uvcvideo: Set capability in s_param
    - media: mceusb: return without resubmitting URB in case of -EPROTO error.
    - ACPICA: Avoid evaluating methods too early during system resume
    - media: usb: dvd-usb: fix uninit-value bug in dibusb_read_eeprom_byte()
    - tracefs: Have tracefs directories not set OTH permission bits by default
    - ath: dfs_pattern_detector: Fix possible null-pointer dereference in
      channel_detector_create()
    - [x86] ACPI: battery: Accept charges over the design capacity as full
    - memstick: r592: Fix a UAF bug when removing the driver
    - lib/xz: Avoid overlapping memcpy() with invalid input with in-place
      decompression
    - lib/xz: Validate the value before assigning it to an enum variable
    - mwl8k: Fix use-after-free in mwl8k_fw_state_machine()
    - PM: hibernate: Get block device exclusively in swsusp_check()
    - iwlwifi: mvm: disable RX-diversity in powersave
    - cgroup: Make rebind_subsystems() disable v2 controllers all at once
    - media: dvb-usb: fix ununit-value in az6027_rc_query
    - media: si470x: Avoid card name truncation
    - cpuidle: Fix kobject memory leaks in error paths
    - ath9k: Fix potential interrupt storm on queue reset
    - [x86] crypto: qat - detect PFVF collision after ACK
    - [x86] crypto: qat - disregard spurious PFVF interrupts
    - b43legacy: fix a lower bounds test
    - b43: fix a lower bounds test
    - memstick: avoid out-of-range warning
    - memstick: jmb38x_ms: use appropriate free function in
      jmb38x_ms_alloc_host()
    - hwmon: Fix possible memleak in __hwmon_device_register()
    - ath10k: fix max antenna gain unit
    - [arm64] drm/msm: uninitialized variable in msm_gem_import()
    - net: stream: don't purge sk_error_queue in sk_stream_kill_queues()
    - mwifiex: Send DELBA requests according to spec
    - phy: micrel: ksz8041nl: do not use power down mode
    - libertas_tf: Fix possible memory leak in probe and disconnect
    - libertas: Fix possible memory leak in probe and disconnect
    - crypto: pcrypt - Delay write to padata->info
    - RDMA/rxe: Fix wrong port_cap_flags
    - [x86] scsi: dc395: Fix error case unwinding
    - JFS: fix memleak in jfs_mount
    - [armhf] dts: omap3-gta04a4: accelerometer irq fix
    - [arm64,armhf] soc/tegra: Fix an error handling path in
      tegra_powergate_power_up()

