=== debian/control ===
Source: linux-4.9
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 3.9.8
Build-Depends: debhelper, dh-exec, python3:any, quilt, cpio <!stage1>, xz-utils <!stage1>, kmod <!stage1>, bc <!stage1>, libssl-dev:native <!stage1>, libssl-dev [linux-any] <!stage1 !pkg.linux.notools cross>, openssl (>= 1.1.0-1~) <!stage1> | openssl:native <!stage1>, asciidoc <!stage1 !nodoc !pkg.linux.notools>, xmlto <!stage1 !nodoc !pkg.linux.notools>, bison <!stage1 !pkg.linux.notools !nopython>, flex <!stage1 !pkg.linux.notools !nopython>, gcc-multilib [amd64 ppc64 s390x sparc64] <!stage1 !pkg.linux.notools !nopython>, libaudit-dev <!stage1 !pkg.linux.notools !nopython>, libdw-dev <!stage1 !pkg.linux.notools !nopython>, libelf-dev <!stage1 !pkg.linux.notools !nopython>, libiberty-dev <!stage1 !pkg.linux.notools !nopython>, libnewt-dev <!stage1 !pkg.linux.notools !nopython>, libnuma-dev [amd64 arm64 hppa i386 mips mips64 mips64el mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el powerpc powerpcspe ppc64 ppc64el sparc x32] <!stage1 !pkg.linux.notools !nopython>, libperl-dev <!stage1 !pkg.linux.notools !nopython>, libunwind8-dev [amd64 armel armhf arm64 i386] <!stage1 !pkg.linux.notools !nopython>, python-dev <!stage1 !pkg.linux.notools !nopython>, autoconf <!stage1 !pkg.linux.notools>, automake <!stage1 !pkg.linux.notools>, libtool <!stage1 !pkg.linux.notools>, libglib2.0-dev <!stage1 !pkg.linux.notools>, libudev-dev <!stage1 !pkg.linux.notools>, libwrap0-dev <!stage1 !pkg.linux.notools>, rsync <!stage1 !pkg.linux.notools>, libpci-dev <!stage1 !pkg.linux.notools>, dh-python <!stage1>, dh-systemd <!stage1 !pkg.linux.notools>, gcc-4.9 [alpha arm64 armel armhf hppa mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc64], gcc-4.9 (>= 4.9.2-10+deb7u1) [amd64 i386], gcc-4.9 (<< 4.9.2-11) [amd64 i386], binutils-hppa64 [hppa], gcc-4.9-hppa64 [hppa], gcc-4.8 [m68k]
Build-Depends-Indep: patchutils <!stage1>, python-sphinx <!stage1 !nodoc>, python-sphinx-rtd-theme <!stage1 !nodoc>, xmlto <!stage1 !nodoc>
Homepage: https://www.kernel.org/
Vcs-Browser: https://salsa.debian.org/kernel-team/linux
Vcs-Git: https://salsa.debian.org/kernel-team/linux.git

Package: linux-source-4.9
Architecture: all
Section: kernel
Depends: binutils, xz-utils, ${misc:Depends}
Recommends: libc6-dev | libc-dev, gcc, make, bc
Suggests: libncurses-dev | ncurses-dev, libqt4-dev, pkg-config
Description: Linux kernel source for version 4.9 with Debian patches
 This package provides source code for the Linux kernel version 4.9. This
 source closely tracks official Linux kernel releases.  Debian's
 modifications to that source consist of security fixes, bug fixes, and
 features that have already been (or are believed to be) accepted by the
 upstream maintainers.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-support-4.9.0-0.bpo.18
Architecture: all
Section: devel
Depends: ${python3:Depends}, ${misc:Depends}
Description: Support files for Linux 4.9
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-doc-4.9
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Linux kernel specific documentation for version 4.9
 This package provides the various README files and HTML documentation for
 the Linux kernel version 4.9.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  Consult the file
 /usr/share/doc/linux-doc-4.9/Documentation/00-INDEX for the detailed
 description of the contents.
Build-Profiles: <!stage1 !nodoc>
Multi-Arch: foreign

Package: linux-manual-4.9
Architecture: all
Section: doc
Provides: linux-manual
Depends: ${misc:Depends}
Replaces: linux-manual
Conflicts: linux-manual
Description: Linux kernel API manual pages for version 4.9
 This package provides the Kernel Hacker's Guide in the form of manual
 pages, describing the kernel API functions.  They are installed into
 section 9 of the manual.
 .
 As the files containing manual pages for different kernel versions are
 installed in the same location, only one linux-manual package may be
 installed at a time.  The linux-doc package containing the documentation
 in other formats is free from such restriction.
Build-Profiles: <!stage1 !nodoc>
Multi-Arch: foreign

Package: linux-kbuild-4.9
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Kbuild infrastructure for Linux 4.9
 This package provides the kbuild infrastructure for the headers packages
 for Linux kernel version 4.9.
Build-Profiles: <!stage1 !pkg.linux.notools>
Multi-Arch: foreign

Package: linux-perf-4.9
Architecture: alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc powerpcspe ppc64 ppc64el s390 s390x sh4 sparc sparc64
Section: devel
Provides: linux-tools-4.9
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, ${python:Depends}
Recommends: linux-base
Suggests: linux-doc-4.9
Replaces: linux-tools-4.9
Conflicts: linux-tools-4.9
Description: Performance analysis tools for Linux 4.9
 This package contains the 'perf' performance analysis tools for Linux
 kernel version 4.9.
 .
 The linux-base package contains a 'perf' command which will invoke the
 appropriate version for the running kernel.
Build-Profiles: <!stage1 !pkg.linux.notools !nopython>

Package: linux-headers-4.9.0-0.bpo.18-common
Architecture: all
Depends: ${misc:Depends}
Description: Common header files for Linux 4.9.0-0.bpo.18
 This package provides the common kernel header files for Linux kernel
 version 4.9.0-0.bpo.18, generally used for building out-of-tree kernel
 modules.  To obtain a complete set of headers you also need to install the
 linux-headers-4.9.0-0.bpo.18-(flavour) package, matching the flavour of
 the kernel you intend the build for.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-headers-4.9.0-0.bpo.18-common-rt
Architecture: all
Depends: ${misc:Depends}
Description: Common header files for Linux 4.9.0-0.bpo.18-rt
 This package provides the common kernel header files for Linux kernel
 version 4.9.0-0.bpo.18 with the PREEMPT_RT featureset, generally used for
 building out-of-tree kernel modules.  To obtain a complete set of headers
 you also need to install the linux-headers-4.9.0-0.bpo.18-(flavour)
 package, matching the flavour of the kernel you intend the build for.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-headers-4.9.0-0.bpo.18-all
Architecture: alpha amd64 arm64 armel armhf hppa i386 m68k mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc64
Depends: linux-headers-4.9.0-0.bpo.18-all-${kernel:Arch} (= ${binary:Version}), ${misc:Depends}
Description: All header files for Linux 4.9 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 4.9, generally used for building out-of-tree
 kernel modules.
Build-Profiles: <!stage1>

Package: linux-headers-4.9.0-0.bpo.18-all-alpha
Architecture: alpha
Depends: ${misc:Depends}, linux-headers-4.9.0-0.bpo.18-alpha-generic (= ${binary:Version}), linux-headers-4.9.0-0.bpo.18-alpha-smp (= ${binary:Version})
Description: All header files for Linux 4.9 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 4.9, generally used for building out-of-tree
 kernel modules.
Build-Profiles: <!stage1>

Package: linux-image-4.9.0-0.bpo.18-alpha-generic
Architecture: alpha
Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, initramfs-tools (>= 0.120+deb8u2) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free, ${kernel:Recommends}
Suggests: linux-doc-4.9, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
Breaks: initramfs-tools (<< 0.120+deb8u2)
Description: Linux 4.9 for Alpha
 The Linux kernel 4.9 and modules for use on DEC Alpha systems with
 extended kernel start address (Wildfire, Titan, Marvel).
Build-Profiles: <!stage1>

Package: linux-headers-4.9.0-0.bpo.18-alpha-generic
Architecture: alpha
Depends: linux-headers-4.9.0-0.bpo.18-common (= ${source:Version}), linux-kbuild-4.9 (>= ${source:Version}), ${misc:Depends}, gcc-4.9
Description: Header files for Linux 4.9.0-0.bpo.18-alpha-generic
 This package provides the architecture-specific kernel header files for
 Linux kernel 4.9.0-0.bpo.18-alpha-generic, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-4.9.0-0.bpo.18-alpha-generic, and can be used for
 building modules that load into the kernel provided by the
 linux-image-4.9.0-0.bpo.18-alpha-generic package.
Build-Profiles: <!stage1>

Package: linux-image-4.9.0-0.bpo.18-alpha-smp
Architecture: alpha
Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, initramfs-tools (>= 0.120+deb8u2) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free, ${kernel:Recommends}
Suggests: linux-doc-4.9, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
Breaks: initramfs-tools (<< 0.120+deb8u2)
Description: Linux 4.9 for Alpha SMP
 The Linux kernel 4.9 and modules for use on DEC Alpha SMP systems with
 extended kernel start address (Wildfire, Titan, Marvel).
Build-Profiles: <!stage1>

Package: linux-headers-4.9.0-0.bpo.18-alpha-smp
Architecture: alpha
Depends: linux-headers-4.9.0-0.bpo.18-common (= ${source:Version}), linux-kbuild-4.9 (>= ${source:Version}), ${misc:Depends}, gcc-4.9
Description: Header files for Linux 4.9.0-0.bpo.18-alpha-smp
 This package provides the architecture-specific kernel header files for
 Linux kernel 4.9.0-0.bpo.18-alpha-smp, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-4.9.0-0.bpo.18-alpha-smp, and can be used for
 building modules that load into the kernel provided by the
 linux-image-4.9.0-0.bpo.18-alpha-smp package.
Build-Profiles: <!stage1>

Package: linux-headers-4.9.0-0.bpo.18-all-amd64
Architecture: amd64
Depends: ${misc:Depends}, linux-headers-4.9.0-0.bpo.18-amd64 (= ${binary:Version}), linux-headers-4.9.0-0.bpo.18-rt-amd64 (= ${binary:Version})
Description: All header files for Linux 4.9 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 4.9, generally used for building out-of-tree
 kernel modules.
Build-Profiles: <!stage1>

Package: linux-image-4.9.0-0.bpo.18-amd64
Architecture: amd64
Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, initramfs-tools (>= 0.120+deb8u2) [amd64] | linux-initramfs-tool [amd64]
Recommends: firmware-linux-free, ${kernel:Recommends}
Suggests: linux-doc-4.9, debian-kernel-handbook, grub-pc [amd64] | grub-efi-amd64 [amd64] | extlinux [amd64]
Breaks: initramfs-tools (<< 0.120+deb8u2)
Description: Linux 4.9 for 64-bit PCs
 The Linux kernel 4.9 and modules for use on PCs with AMD64, Intel 64 or
 VIA Nano processors.
 .
 This kernel also runs on a Xen hypervisor.  It supports both privileged
 (dom0) and unprivileged (domU) operation.
Build-Profiles: <!stage1>

Package: linux-headers-4.9.0-0.bpo.18-amd64
Architecture: amd64
Depends: linux-headers-4.9.0-0.bpo.18-common (= ${source:Version}), linux-kbuild-4.9 (>= ${source:Version}), ${misc:Depends}, linux-compiler-gcc-4.9-x86 (>= 3.16.51-3+deb8u2~), linux-compiler-gcc-4.9-x86 (<< 3.17) | linux-compiler-gcc-4.9-x86 (>= 4.9.82-1+deb9u1~)
Description: Header files for Linux 4.9.0-0.bpo.18-amd64
 This package provides the architecture-specific kernel header files for
